Bug 221347 - GlassFish 3.1.2 warning dialog obtrusive
GlassFish 3.1.2 warning dialog obtrusive
Status: VERIFIED FIXED
Product: serverplugins
Classification: Unclassified
Component: GlassFish
7.3
PC All
: P2 with 2 votes (vote)
: 7.3
Assigned To: TomasKraus
issues@serverplugins
73beta2-stopper-fixed
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-02 13:11 UTC by Petr Hejl
Modified: 2012-11-07 10:30 UTC (History)
5 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Hejl 2012-11-02 13:11:38 UTC
The dialog is modal and is displayed on every IDE start and on every GF start. Moreover when displayed on IDE start it is sometime displayed sooner then the IDE main window effectively stopping the startup.

This is very obtrusive.

The dialog should at least contain "Do not display this message again" checkbox. I would also avoid displaying it on IDE startup - that might have same cause as issue #221211.

Together with issue #221211 the work with the IDE and GF 3.1.2 is not very comfortable and dialogs are very obtrusive. User starts the IDE, the GF 3.1.2 dialog appears, he clicks ok, the keyring dialog appears, he enter the password, click ok and now he finally can work with the IDE. If he will start the GF now another GF 3.1.2 dialog will appear for once again.
Comment 1 TomasKraus 2012-11-02 13:20:48 UTC
Yes, I agree. But we must make users to stop using GF 3.1.2 ASAP.
Making it obtrusive was a purpose of this change.
Comment 2 Petr Hejl 2012-11-02 13:27:15 UTC
(In reply to comment #1)
> Yes, I agree. But we must make users to stop using GF 3.1.2 ASAP.
> Making it obtrusive was a purpose of this change.
Well your are punishing users which are happy with the GF 3.1.2. So they see the dialog (OK no problem with showing the dialog) accept it and it will appear over and over again (not OK). There should be "do not show again".
Comment 3 Martin Fousek 2012-11-02 13:52:41 UTC
Totally agree with PetrH, it's annoying that there is no way how to close it forever. When every module would do this we could finish with 10 messages on startup before the user could start the real work although he was already informed and accepted the risk to have something not up-to-date.
Comment 4 Petr Jiricka 2012-11-02 13:53:26 UTC
> Well your are punishing users which are happy with the GF 3.1.2.

Or worse, users that are not using it. See the e-mail to NeCAT below. Based on this, IMO this is at least a P2 bug, if not a beta2 stopper.


From: Timothy Sparg <Timothy.Sparg@corefreight.com>
Subject: [73cat] Is the Glassfish 3.1.2 libraries message necessary
Date: November 2, 2012 12:29:15 PM GMT+01:00
To: "netcat@netbeans.org" <netcat@netbeans.org>
Reply-To: netcat@netbeans.org

Is the GlassFish 3.1.2 error message dialog necessary every time that you start up?
 
Can we not have a tickbox that says you have read the message?
 
I have GlassFish 3.1.2 installed currently, but am not working with it, so I don’t see the need to go and upgrade GlassFish just so NetBeans won’t give me an error message on start up.
 
Tim
Comment 5 TomasKraus 2012-11-02 14:05:27 UTC
NetBeans web-main:
------------------
changeset:   238173:b0adc75e0d30
summary:     #221347 - Quick fix: Removed 3.1.2 check from instance provider

This will remove warning dialog from startup and it will be showing just after server startup.

I'll come with better solution later. This is just to not block beta2.
Comment 6 Jiri Skrivanek 2012-11-02 14:12:41 UTC
Please, add your quick fix to beta2 branch.
Comment 7 Petr Jiricka 2012-11-02 14:18:12 UTC
Transplanted to release73_beta2: http://hg.netbeans.org/releases/rev/aa3a5787f452
Comment 8 Quality Engineering 2012-11-03 02:40:19 UTC
Integrated into 'main-golden', will be available in build *201211030001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/b0adc75e0d30
User: Tomas Kraus <TomasKraus@netbeans.org>
Log: #221347 - Quick fix: Removed 3.1.2 check from instance provider
Comment 9 Quality Engineering 2012-11-04 23:12:24 UTC
Integrated into 'releases', will be available in build *201211042000* or newer. Wait for official and publicly available build.
Changeset: http://hg.netbeans.org/releases/rev/aa3a5787f452
User: Tomas Kraus <TomasKraus@netbeans.org>
Log: #221347 - Quick fix: Removed 3.1.2 check from instance provider
Comment 10 TomasKraus 2012-11-06 16:48:08 UTC
NetBeans web-main:
------------------
changeset:   238395:c1653ef9f1f2
summary:     #221347 - Warning dialog can be disabled using checkbox

Here is final solution with check box to stop this window to be showing up with every start up. Check box is shared with all GF 3.1.2 WS libraries warnings so turning it off will stop showing this message forever.

I don't know how far is beta2 release process. It would be nice to get this change set there too but it's not necessary.
Comment 11 TomasKraus 2012-11-06 17:20:23 UTC
Jiri, check box value is stored in config/Preferences/org/netbeans/modules/glassfish/common.properties:
Gf312WarningAgain=false

Change it to true and restart NetBeans to see pop up windows again when you'll be testing it.
Comment 12 Quality Engineering 2012-11-07 03:41:25 UTC
Integrated into 'main-golden', will be available in build *201211070001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/c1653ef9f1f2
User: Tomas Kraus <TomasKraus@netbeans.org>
Log: #221347 - Warning dialog can be disabled using checkbox
Comment 13 Jiri Skrivanek 2012-11-07 10:30:14 UTC
Verified in trunk. No need to transplant the final patch to beta2 branch.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo